Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena.vocabulary
Class SWRL

    java.lang.Object
      org.mindswap.pellet.jena.vocabulary.SWRL

    public class SWRL

extends java.lang.Object

Field Summary
`static com.hp.hpl.jena.rdf.model.Property` | `argument1`
`static com.hp.hpl.jena.rdf.model.Property` | `argument2`
`static com.hp.hpl.jena.rdf.model.Property` | `arguments`
`static com.hp.hpl.jena.rdf.model.Resource` | `AtomList`
`static com.hp.hpl.jena.rdf.model.Property` | `body`
`static com.hp.hpl.jena.rdf.model.Property` | `builtin`
`static com.hp.hpl.jena.rdf.model.Resource` | `Builtin`
`static com.hp.hpl.jena.rdf.model.Resource` | `BuiltinAtom`
`static com.hp.hpl.jena.rdf.model.Resource` | `ClassAtom`
`static com.hp.hpl.jena.rdf.model.Property` | `classPredicate`
`static com.hp.hpl.jena.rdf.model.Property` | `dataRange`
`static com.hp.hpl.jena.rdf.model.Resource` | `DataRangeAtom`
`static com.hp.hpl.jena.rdf.model.Resource` | `DatavaluedPropertyAtom`
`static com.hp.hpl.jena.rdf.model.Resource` | `DifferentIndividualsAtom`
`static com.hp.hpl.jena.rdf.model.Property` | `head`
`static com.hp.hpl.jena.rdf.model.Resource` | `Imp`
`static com.hp.hpl.jena.rdf.model.Resource` | `Impl` Deprecated. Correct term is `Imp`
`static com.hp.hpl.jena.rdf.model.Resource` | `IndividualPropertyAtom`
`static com.hp.hpl.jena.rdf.model.Property` | `propertyPredicate`
`static com.hp.hpl.jena.rdf.model.Resource` | `SameIndividualAtom`
`static com.hp.hpl.jena.rdf.model.Resource` | `Variable`

Constructor Summary
`SWRL()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Imp

    public static final com.hp.hpl.jena.rdf.model.Resource Imp

### Impl

    public static final com.hp.hpl.jena.rdf.model.Resource Impl

  Deprecated. Correct term is `Imp`

### AtomList

    public static final com.hp.hpl.jena.rdf.model.Resource AtomList

### Variable

    public static final com.hp.hpl.jena.rdf.model.Resource Variable

### IndividualPropertyAtom

    public static final com.hp.hpl.jena.rdf.model.Resource IndividualPropertyAtom

### BuiltinAtom

    public static final com.hp.hpl.jena.rdf.model.Resource BuiltinAtom

### DatavaluedPropertyAtom

    public static final com.hp.hpl.jena.rdf.model.Resource DatavaluedPropertyAtom

### DataRangeAtom

    public static final com.hp.hpl.jena.rdf.model.Resource DataRangeAtom

### ClassAtom

    public static final com.hp.hpl.jena.rdf.model.Resource ClassAtom

### SameIndividualAtom

    public static final com.hp.hpl.jena.rdf.model.Resource SameIndividualAtom

### DifferentIndividualsAtom

    public static final com.hp.hpl.jena.rdf.model.Resource DifferentIndividualsAtom

### Builtin

    public static final com.hp.hpl.jena.rdf.model.Resource Builtin

### head

    public static final com.hp.hpl.jena.rdf.model.Property head

### body

    public static final com.hp.hpl.jena.rdf.model.Property body

### dataRange

    public static final com.hp.hpl.jena.rdf.model.Property dataRange

### propertyPredicate

    public static final com.hp.hpl.jena.rdf.model.Property propertyPredicate

### arguments

    public static final com.hp.hpl.jena.rdf.model.Property arguments

### argument1

    public static final com.hp.hpl.jena.rdf.model.Property argument1

### argument2

    public static final com.hp.hpl.jena.rdf.model.Property argument2

### classPredicate

    public static final com.hp.hpl.jena.rdf.model.Property classPredicate

### builtin

    public static final com.hp.hpl.jena.rdf.model.Property builtin

Constructor Detail

### SWRL

    public SWRL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.